org.apache.sysds.runtime.compress.colgroup

## Class ColGroupSizes

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.ColGroupSizes

-     public class ColGroupSizes
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColGroupSizes()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `estimateInMemorySizeDDC(int nrCols, int uniqueVals, boolean lossy)`
    `static long` | `estimateInMemorySizeDDC1(int nrCols, int uniqueVals, int dataLength, boolean lossy)`
    `static long` | `estimateInMemorySizeDDC2(int nrCols, int uniqueVals, int dataLength, boolean lossy)`
    `static long` | `estimateInMemorySizeGroup(int nrColumns)`
    `static long` | `estimateInMemorySizeGroupValue(int nrColumns, int nrValues, boolean lossy)`
    `static long` | `estimateInMemorySizeOffset(int nrColumns, int nrValues, int pointers, int offsetLength, boolean lossy)`
    `static long` | `estimateInMemorySizeOLE(int nrColumns, int nrValues, int offsetLength, int nrRows, boolean lossy)`
    `static long` | `estimateInMemorySizeRLE(int nrColumns, int nrValues, int nrRuns, int nrRows, boolean lossy)`
    `static long` | `estimateInMemorySizeUncompressed(int nrRows, int nrColumns, double sparsity)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColGroupSizes

          public ColGroupSizes()

  - ### Method Detail

    - #### estimateInMemorySizeGroup

          public static long estimateInMemorySizeGroup(int nrColumns)

    - #### estimateInMemorySizeGroupValue

          public static long estimateInMemorySizeGroupValue(int nrColumns,
                                                            int nrValues,
                                                            boolean lossy)

    - #### estimateInMemorySizeDDC

          public static long estimateInMemorySizeDDC(int nrCols,
                                                     int uniqueVals,
                                                     boolean lossy)

    - #### estimateInMemorySizeDDC1

          public static long estimateInMemorySizeDDC1(int nrCols,
                                                      int uniqueVals,
                                                      int dataLength,
                                                      boolean lossy)

    - #### estimateInMemorySizeDDC2

          public static long estimateInMemorySizeDDC2(int nrCols,
                                                      int uniqueVals,
                                                      int dataLength,
                                                      boolean lossy)

    - #### estimateInMemorySizeOffset

          public static long estimateInMemorySizeOffset(int nrColumns,
                                                        int nrValues,
                                                        int pointers,
                                                        int offsetLength,
                                                        boolean lossy)

    - #### estimateInMemorySizeOLE

          public static long estimateInMemorySizeOLE(int nrColumns,
                                                     int nrValues,
                                                     int offsetLength,
                                                     int nrRows,
                                                     boolean lossy)

    - #### estimateInMemorySizeRLE

          public static long estimateInMemorySizeRLE(int nrColumns,
                                                     int nrValues,
                                                     int nrRuns,
                                                     int nrRows,
                                                     boolean lossy)

    - #### estimateInMemorySizeUncompressed

          public static long estimateInMemorySizeUncompressed(int nrRows,
                                                              int nrColumns,
                                                              double sparsity)

Copyright © 2020 The Apache Software Foundation. All rights reserved.